.card__step {
  width: 100%;
  position: relative;
  background-color: var(--color-white);
  border-radius: 32px;
  margin: 64px 0;

  &:before {
    content: "";
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    width: 70px;
    height: 70px;
    top: -32px;
    left: 40px;
    background-color: var(--color-beige);
    border-radius: 20px;
    text-align: center;
    font-size: 32px;
    font-weight: 700;
    color: var(--color-gray-900);
  }

  &:nth-child(1):before {
    content: "01";
  }

  &:nth-child(2):before {
    content: "02";
  }

  &:nth-child(3):before {
    content: "03";
  }

  &:nth-child(4):before {
    content: "04";
  }

  &:nth-child(5):before {
    content: "05";
  }
}

.card__step-content {
  padding: 36px 32px 36px 25%;
}

.card__step-title {
  margin-bottom: 8px;
  font-weight: 700;
}

.card__step-cta-button {
  display: inline-flex;
  align-items: center;
  font-weight: 700;
  font-size: 20px;
  cursor: pointer;

  &:hover {
    color: var(--color-brand-800);
  }

  &:after {
    content: "\2192";
    display: inline-block;
    width: 20px;
    height: 20px;
    background-color: var(--color-brand-700);
    border-radius: 50%;
    margin-left: 5px;
    transform: translateX(2px);
    transition: transform 300ms;
    font-size: 14px;
    line-height: 1.5;
    color: var(--color-white);
    text-align: center;
  }

  &:hover:after {
    transform: translateX(6px);
    background-color: var(--color-brand-800);
  }
}
